Subject: [rbridge] Multiple Nicknames in the UNICAST forwarding table

From: "Ramalingam, Swaminathan (Swami)" <[email-masked]>
Date: Tue, 20 Oct 2009 08:59:02 +0530

Changing the subject line to discuss multiple nickname in the unicast
forwarding table:
----------

I agree that ingress Rbridge should use same the nickname for a source
MAC/VLAN pair. But this doesn't restrict us to to have only one
nickname in unicast forwarding table. I see other reasons to have
multiple nicknames in the unicast forwarding table.

(1) When a user wants to change the nickname for an Rbridge, the older
nickname can be used to forward without impacting the traffic.
(2) Also transit bridges MAY use different links/path for a different
nickname (than the first one) to an Rbridge. I assume the two
nicknames for an Rbridge not necessarily use the same path.

Any issues using multiple nicknames in the forwarding table ?.

Thanks,
Swami

On Fri, Oct 16, 2009 at 12:10 AM, Radia Perlman <[email-masked]> wrote:
> Yes, Nanda's point is well taken. I'd be OK with either wording. Donald
> is technically correct that it doesn't have to
> be as restrictive as "always use the same nickname  in the ingress
> field", as long as it's always the same nickname chosen
> for the same source.
>
> However, I can't think of any use for choosing different nicknames for
> different sources, and I'm slightly
> nervous that if someone thinks of a use of it, all the ingress RBridges
> will want multiple nicknames. Also, people
> have found the multiple nicknames confusing, assuming there must be lots
> of reasons for that feature and that lots
> of RBridges would want lots of nicknames.
>
> So I'd slightly
> prefer Nanda's wording (implying a single nickname that is really the
> nickname, and the other nicknames, if they
> exist, are only for calculating multicast trees). It also means that
> only that preferred nickname need appear in the
> unicast forwarding table. And perhaps a way of marking which nickname in
> R1's LSP is R1's preferred nickname,
> so other RBridges would know they wouldn't need to put the other
> nickname alias's of R1 into the unicast forwarding table?
>
> Radia
>
>
>
> Donald Eastlake wrote:
>> Hi Nanda,
>>
>> On Thu, Oct 15, 2009 at 1:12 AM, Natarajan, Nandakumar
>> <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>     Hi,
>>
>>     I'm a relative newcomer to the world of RBridges and have been
>>     looking through version 13 of the RBridge specification as well as
>>     the RBridge mailing list archives. I exchanged an email with Radia
>>     about Ingress Nickname selection and she suggested that I post the
>>     following to the list.
>>
>>     The specification suggests that an RBridge could acquire multiple
>>     nicknames in order be able to serve as a root for multiple
>>     Distribution Trees. In the case of a native Known Unicast frame
>>     that is processed by an Ingress RBridge (that supports multiple
>>     nicknames), which of these nicknames does the RBridge select as
>>     the Ingress Nickname when encapsulating the packet? Currently the
>>     specification does not state anything about how this should be
>>     chosen. Choosing the same nickname as the Ingress Nickname every
>>     time would seem to be the preferred answer since it simplifies
>>     endnode learning.
>>
>>     Perhaps the spec. could suggest the following:
>>
>>     "If ingress R1 has multiple nicknames, it should always use the
>>     same nickname in the ingress field, to simplify endnode learning".
>>
>>
>> You raise a good point, I think. But there is no need for an RBridge
>> to use the same ingress nickname for all frames it is encapsulating as
>> long as it is consistent about using the same nickname whenever it
>> encapsulates from any particular source MAC address in a particular
>> VLAN. Perhaps it should say something like
>>
>> "If ingress R1 has multiple nicknames, it SHOULD use the same nickname
>> in the ingress field whenever it encapsulates a frame from any
>> particular source MAC address and VLAN. This simplifies end node
>> learning."
>>
>>
>>     Thanks,
>>     -Nanda
>>
>>
>> Thanks,
>> Donald
>> ------------------------------------------------------------------------
>>
>> _______________________________________________
>> rbridge mailing list
>> [email-masked]
>> http://mailman.postel.org/mailman/listinfo/rbridge
>>
>
> _______________________________________________
> rbridge mailing list
> [email-masked]
> http://mailman.postel.org/mailman/listinfo/rbridge
>

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge